## lua-uri 0.1%2B20130926%2Bgit14fa255d

=== debian/changelog ===
lua-uri (0.1+20130926+git14fa255d-2) unstable; urgency=medium

  * wrap-and-sort and clean some lintian errors
  * debhelper 12, update Vcs-* to salsa, refresh Standards-Version
  * add support for Lua5.2
  * debian/copyright: update Source deadlink
  * debian/control: use my shiny Debian email

 -- Victor Seva <vseva@debian.org>  Wed, 01 Apr 2020 14:04:03 +0200

lua-uri (0.1+20130926+git14fa255d-1) unstable; urgency=low

  * Initial release (Closes: #724679)

 -- Victor Seva <linuxmaniac@torreviejawireless.org>  Thu, 26 Sep 2013 17:21:34 +0200
