=== debian/changelog ===
lua-uri (0.1+20130926+git14fa255d-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Bump debhelper from old 12 to 13.
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on dh-lua (>= 16~).

  [ Victor Seva ]
  * fix clean phase (Closes: #1049049)
  * update Standards-Version, no changes needed

 -- Victor Seva <vseva@debian.org>  Mon, 02 Oct 2023 10:18:57 +0200
