=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=lua --with lua

override_dh_auto_build:
	${MAKE} all
	dh_auto_build

override_dh_auto_clean:
	${MAKE} clean
	dh_auto_clean
